<?php
namespace Ep\Woo\Plugin\User;

use Ep\Wp\Plugin\PluginInterface;

/**
 * Class Currency
 *
 * @package Ep\Woo\Plugin\User
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class Currency implements PluginInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     *
     * @return void
     */
    public function __invoke(): void
    {
        add_filter('woocommerce_currency', [$this, 'wc_currency']);
    }


    public function wc_currency($currency)
    {
        $user = wp_get_current_user();

        if ($user->ID > 0 && ($userCurrency = get_user_meta($user->ID, '_currency', true))) {
            return $userCurrency;
        }

        return $currency;
    }
}