<?php

namespace Ep\Woo\Product\View\Helper;

use Psr\Container\ContainerInterface;

class SaleBadgeFactory
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $config = $container->get('config')['webshop']['sale_badge'] ?? [];

        $format = $config['format'];
        $time = $config['endSale'] ?? null;

        $endSale = $time
            ? \DateTime::createFromFormat($format, $time)
            : new \DateTime('now');

        return new SaleBadge($endSale);
    }
}
