<?php
namespace Ep\Woo\Product\View;

use Ep\Woo\Product\ProductInterface;
use Ep\Woo\View\AbstractView;

/**
 * Class SaleBadge
 *
 * @package Ep\Woo\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class SaleBadge extends AbstractView
{
    /** @var array */
    protected $templateOverrides = [
        'loop/sale-flash.php',
        'single-product/sale-flash.php',
    ];

    /**
     * Renderira badge.
     *
     * @return string
     */
    public function render(): string
    {
        /** @var \WC_Product $product */
        global $product;

        if (!$product instanceof ProductInterface) {
            return '';
        }

        $saleBadge = $this->helpers->get('product_sale_badge');

        return $saleBadge($product);
    }
}